import { Text, View } from "@tarojs/components"
import { memo } from "react"
import classnames from "classnames";
import styles  from './index.module.scss'


type Param = {
    status?: number //0默认不处理, 1退货，2退款
}
export default memo(({status = 0}:Param) => {
    return (
        <>
            {(status !== 0)&&<View className={classnames(styles.tag, status == 2?styles.refund_tag :styles.saleReturn_tag)}>
                <View className={classnames(styles.miconfont,  'iconfont icon-yucunkuan')}></View>
                <Text>{ status == 1?'退货':'退款'}</Text>
            </View>}
        </>
    )
})