import { Component } from 'react'
import ContextBlueTooth from "@/use/contextBlueTooth"
import { Provider } from 'react-redux'
import configStore from './store'

import './app.scss'

const store = configStore()
class App extends Component {

  componentDidMount () {}

  componentDidShow () {}

  componentDidHide () {}

  componentDidCatchError () {}

  // this.props.children 是将要会渲染的页面
  render () {
    return (
      
        <ContextBlueTooth>
          <Provider store={store}>
            {this.props.children}
          </Provider>
        </ContextBlueTooth>
    )
  }
}

export default App